Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.registry
Class ServiceDescriptorFactory

    java.lang.Object
      org.mule.api.registry.ServiceDescriptorFactory

    public class ServiceDescriptorFactory

extends Object

Factory used to create a new service descriptor.

Constructor Summary
`ServiceDescriptorFactory()`

Method Summary
`static ServiceDescriptor` | `create(ServiceType type, String name, Properties props, Properties overrides, MuleContext muleContext, ClassLoader classLoader)` Factory method to create a new service descriptor.
`protected static boolean` | `isFilteredMetaScheme(String metaScheme)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDescriptorFactory

    public ServiceDescriptorFactory()

Method Detail

### create

    public static ServiceDescriptor create(ServiceType type,
                                           String name,
                                           Properties props,
                                           Properties overrides,
                                           MuleContext muleContext,
                                           ClassLoader classLoader)
                                    throws ServiceException

  Factory method to create a new service descriptor.

  Parameters:
    `type` - the service type to create
    `name` - the name of the service. In the case of a stransport service, the full endpoint sheme should be used here i.e. 'cxf:http'
    `props` - The properties defined by this service type
    `overrides` - any overrides that should be configured on top of the standard propertiers for the service
    `muleContext` - the MuleContext for this mule instance
    `classLoader` - the ClassLoader to use when loading classes
  Returns:
    a ServiceDescriptor instance that can be used to create the service objects associated with the service name
  Throws:
    `ServiceException` - if the service cannot be located

### isFilteredMetaScheme

    protected static boolean isFilteredMetaScheme(String metaScheme)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.